tigase.jaxmpp.j2se.filetransfer

## Class FileTransferManager

- java.lang.Object
- - tigase.jaxmpp.j2se.filetransfer.FileTransferManager

- All Implemented Interfaces:
    EventHandler, Property, ContextAware, ConnectionManager.ConnectionEstablishedHandler, FileTransferNegotiator.NegotiationFailureHandler, FileTransferNegotiator.NegotiationRejectHandler, FileTransferNegotiator.NegotiationRequestHandler

      public class FileTransferManager
      extends Object
      implements ContextAware, FileTransferNegotiator.NegotiationFailureHandler, FileTransferNegotiator.NegotiationRejectHandler, FileTransferNegotiator.NegotiationRequestHandler, ConnectionManager.ConnectionEstablishedHandler, Property

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FileTransferManager.FileTransferFailureHandler`
    `static interface` | `FileTransferManager.FileTransferProgressHandler`
    `static interface` | `FileTransferManager.FileTransferRejectedHandler`
    `static interface` | `FileTransferManager.FileTransferRequestHandler`
    `static interface` | `FileTransferManager.FileTransferSuccessHandler`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator.NegotiationFailureHandler

      `FileTransferNegotiator.NegotiationFailureHandler.FileTransferNegotiationFailureEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator.NegotiationRejectHandler

      `FileTransferNegotiator.NegotiationRejectHandler.FileTransferNegotiationRejectEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator.NegotiationRequestHandler

      `FileTransferNegotiator.NegotiationRequestHandler.FileTransferNegotiationRequestEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.connection.ConnectionManager.ConnectionEstablishedHandler

      `ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Context` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptFile(FileTransfer ft)`
    `void` | `addNegotiator(FileTransferNegotiator negotiator)`
    `protected static String` | `getCapsNode(Presence presence)`
    `Class<FileTransferManager>` | `getPropertyClass()` Method which returns class which implements this interface which may be used as a key to store instance of this class in JaxmppCore.
    `static void` | `initialize(JaxmppCore jaxmpp, boolean experimental)`
    `void` | `onConnectionEstablished(SessionObject sessionObject, ConnectionSession connectionSession, Socket socket)`
    `void` | `onFileTransferNegotiationFailure(SessionObject sessionObject, FileTransfer fileTransfer)`
    `void` | `onFileTransferNegotiationReject(SessionObject sessionObject, FileTransfer fileTransfer)`
    `void` | `onFileTransferNegotiationRequest(SessionObject sessionObject, FileTransfer fileTransfer)`
    `void` | `rejectFile(FileTransfer ft)`
    `void` | `removeNegotiator(FileTransferNegotiator negotiator)`
    `FileTransfer` | `sendFile(JID peer, File file)`
    `FileTransfer` | `sendFile(JID peer, String filename, long fileSize, InputStream is, Date lastModified)`
    `void` | `setContext(Context context)`
    `void` | `setJaxmpp(JaxmppCore jaxmpp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected Context context

  - ### Constructor Detail

    - #### FileTransferManager

          public FileTransferManager()

  - ### Method Detail

    - #### initialize

          public static void initialize(JaxmppCore jaxmpp,
                                        boolean experimental)

    - #### getCapsNode

          protected static String getCapsNode(Presence presence)
                                       throws XMLException

      Throws:
        `XMLException`

    - #### acceptFile

          public void acceptFile(FileTransfer ft)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### addNegotiator

          public void addNegotiator(FileTransferNegotiator negotiator)

    - #### getPropertyClass

          public Class<FileTransferManager> getPropertyClass()

      Description copied from interface: `Property`
      Method which returns class which implements this interface which may be used as a key to store instance of this class in JaxmppCore.
      Specified by:
        `getPropertyClass` in interface `Property`
      Returns:

    - #### onConnectionEstablished

          public void onConnectionEstablished(SessionObject sessionObject,
                                              ConnectionSession connectionSession,
                                              Socket socket)
                                       throws JaxmppException

      Specified by:
        `onConnectionEstablished` in interface `ConnectionManager.ConnectionEstablishedHandler`
      Throws:
        `JaxmppException`

    - #### onFileTransferNegotiationFailure

          public void onFileTransferNegotiationFailure(SessionObject sessionObject,
                                                       FileTransfer fileTransfer)
                                                throws JaxmppException

      Specified by:
        `onFileTransferNegotiationFailure` in interface `FileTransferNegotiator.NegotiationFailureHandler`
      Throws:
        `JaxmppException`

    - #### onFileTransferNegotiationReject

          public void onFileTransferNegotiationReject(SessionObject sessionObject,
                                                      FileTransfer fileTransfer)

      Specified by:
        `onFileTransferNegotiationReject` in interface `FileTransferNegotiator.NegotiationRejectHandler`

    - #### onFileTransferNegotiationRequest

          public void onFileTransferNegotiationRequest(SessionObject sessionObject,
                                                       FileTransfer fileTransfer)

      Specified by:
        `onFileTransferNegotiationRequest` in interface `FileTransferNegotiator.NegotiationRequestHandler`

    - #### rejectFile

          public void rejectFile(FileTransfer ft)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### removeNegotiator

          public void removeNegotiator(FileTransferNegotiator negotiator)

    - #### sendFile

          public FileTransfer sendFile(JID peer,
                                       File file)
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### sendFile

          public FileTransfer sendFile(JID peer,
                                       String filename,
                                       long fileSize,
                                       InputStream is,
                                       Date lastModified)
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

    - #### setJaxmpp

          public void setJaxmpp(JaxmppCore jaxmpp)

Copyright © 2006–2016 Tigase. All rights reserved.